<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- food_and_drink-001 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-color:  #60CAE8; background-image:  url('images/main_bg.gif'); background-repeat: repeat-x;"><tr><td style="padding: 70px 55px 55px 25px;">
<TABLE WIDTH="701" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" align="center">
	<TR>
		<TD height="48" style="background-image: url('images/menu_bg.gif'); background-repeat: no-repeat;">
		<!-- MENU -->
			<table cellpadding="0" cellspacing="0" align="center">
				<tr>
					<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
					<xsl:call-template name="TOP-MENU"/>
					<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>					
				</tr>
			</table>
		<!-- END MENU -->
		</TD>
	</TR>
	<TR>
		<TD height="368" style="background-image: url('images/header.jpg'); background-repeat: no-repeat; padding: 0 0px 190px 80px;">
		<!-- LOGO -->
			<div style="width: 222px;">
			<table cellpadding="0" cellspacing="0">
				<tr>
					<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
					<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
				</tr>
				<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
			</table>
			</div>
		<!-- END LOGO -->
		</TD>
	</TR>	
	<TR>
		<TD height="100%" name="SB_stretch" valign="top" style="background-image: url('images/bg.gif'); background-repeat: repeat-y; padding: 0 45px 0 90px;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
				<tr valign="top">
					<td>
						<table cellpadding="0" cellspacing="0" width="154">
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
						</table>	
					</td>
					<td><div style="width:60px; height:1px;"><spacer type="block" width="60" height="1"/></div></td>
					<td width="100%" class="pageContent">
						<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
						<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
						<xsl:apply-templates select="PAGE-CONTENT"/>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="19" style="background-image: url('images/footer_bg.gif'); background-repeat: no-repeat;">
		</TD>
	</TR>
	<TR>
		<TD align="center" height="50" class="footer">
		<!-- FOOTER -->
			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
		<!-- END FOOTER -->
		</TD>
	</TR>
</TABLE>
</td></tr></table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>			
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>								
				<td align="center" height="24" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>	
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td align="center" height="24"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td height="7"><img src="images/submenu_hr.gif" border="0" alt=""/></td></tr>
	</xsl:if>
</xsl:template>	

	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
