<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
<!-- food_and_drink-003 -->
<head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" >
<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
  <tr>
    <td width="16" height="85" background="images/logo_bg.gif"></td>
    <td width="240" background="images/logo_bg.gif"><div style="width:240px; padding-left: 15px;">
      <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
		<!--LOGO-->
          <td width="44" height="44"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
          <td style="padding-left:10px; "><table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
            </tr>
            <tr>
              <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
            </tr>
          </table></td>
		  <!--END LOGO-->
        </tr>
      </table></div>
    </td>
    <td width="4" background="images/hr.gif"></td>
    <td background="images/content_bg.gif" style="padding-left:27px;padding-right:27px;">
      <table  border="0" cellspacing="0" cellpadding="0">
        <tr>
		<!--MENU-->
          
		 <xsl:call-template name="TOP-MENU"/>
		  <!--END MENU-->
        </tr>
      </table>
    </td>
    <td width="15" background="images/content_bg.gif"></td>
  </tr>
  <tr>
    <td width="16" height="100%" background="images/sumenu_bg.gif"></td>
	<td>
		<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
			<tr>
			    <td width="240" height="100%" background="images/sumenu_bg.gif" valign="top" style="padding-top:13px;padding-left:15px;padding-right:35px; ">
					<table width="140"  border="0" cellspacing="0" cellpadding="0">
				      <!--SUBMENU-->
				      <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
				      <!--END SUBMENU-->
				    </table>
			     </td>
			</tr>
			<tr>
				<td height="329" valign="bottom" background="images/sumenu_bg.gif">
					<table width="100%"  border="0" cellspacing="0" cellpadding="0">
						<tr>
					        <td height="80" align="right"><img src="images/submenu_bottom.gif" width="240" height="80"/></td>
					     </tr>
					     <tr>
					        <td height="420" align="right"><img src="images/left_bg.gif" width="240" height="420"/></td>
					     </tr>
					</table>
				</td>
			</tr>
		</table>
	</td>
    <td width="4" background="images/hr.gif"></td>
    <td background="images/content_bg.gif" valign="top" width="100%">
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td height="224" align="left"><img src="images/header.jpg" width="495" height="224"/></td>
			</tr>
			<tr>
			<!--CONTENT-->
				<td valign="top" style="padding-left:27px;padding-right:27px; ">
					<table border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td height="40" class="text-header" align="left"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
							<td width="17" style="padding-left:8px;"><img src="images/txtheader_bullet.gif" width="17" height="17"/></td>
						</tr>
					</table>
					<table width="100%"  border="0" cellspacing="0" cellpadding="0">
						<tr>
							<td class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
						</tr>
					</table>
				</td>
			<!--END CONTENT-->
			</tr>
		</table>
	</td>
    <td width="15" background="images/content_bg.gif"></td>	
  </tr>
  <tr>
    <td width="16" height="58" background="images/logo_bg.gif"></td>
	<!--FOOTER-->
    <td width="240" height="58" background="images/logo_bg.gif" class="footer"><div style="width:240px; text-align: center;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
	<!--END FOOTER-->
    <td width="4" height="58" background="images/hr.gif"></td>
    <td height="58" background="images/content_bg.gif"></td>
    <td width="15" height="58" background="images/content_bg.gif"></td>
  </tr>
</table>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		<tr>
            <td width="20" align="center" style="padding-top:10px;padding-bottom:10px;"><img src="images/submenu_bullet.gif" width="7" height="7" border="0"/></td>
            <td width="120" class="asubmenu" style="padding-top:10px;padding-bottom:10px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr>
            <td width="20" align="center" style="padding-top:10px;padding-bottom:10px;"><a href="{@HREF}"><img src="images/submenu_bullet.gif" width="7" height="7" border="0"/></a></td>
            <td width="120" style="padding-top:10px;padding-bottom:10px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	<tr>
        <td height="1" colspan="2" align="center" background="images/submenu_hr.gif"><img src="images/submenu_hr.gif" width="170" height="1"/></td>
    </tr>
		</xsl:if>
</xsl:template>


	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>