<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- food_and_drink-004 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;" summary="">
	<TR>
		<TD height="97" style="padding: 0 70px; background-image: url('images/menu_bg.gif'); background-position: bottom;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/menu_bg.jpg'); background-position: bottom; background-repeat: no-repeat;">
				<tr>
					<td>
						<!-- LOGO -->
						<table cellpadding="0" cellspacing="0" summary="">
							<tr>
								<td><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
							</tr>
							<tr><td></td><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
						</table>
						<!-- END LOGO -->
						<div style="width:340px; height:0px;"><span></span></div>
					</td>
					<td width="100%">
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" align="center" summary="">
							<tr>
								<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
									<xsl:call-template name="TOP-MENU"/>
								<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>

							</tr>
						</table>
						<!-- END MENU -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="294">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr valign="top">
					<td style="background-image: url('images/submenu_bg.gif');">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 305px; height: 100%; background-image: url('images/submenu_tbg.jpg'); background-repeat: no-repeat;">
							<tr>
								<td valign="top" style="padding: 60px 10px 0 0; background-image: url('images/submenu_bbg.jpg'); background-position: bottom; background-repeat: no-repeat;">
									<!-- SUBMENU -->
									<table cellpadding="0" cellspacing="0" width="160" align="right" summary="">
										<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
									</table>
									<!-- END SUBMENU -->
								</td>
							</tr>
						</table>
					</td>
					<td width="100%" style="background-image: url('images/header_lbg.gif');">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/header_ltbg.gif'); background-repeat: repeat-x;">
							<tr><td style="background-image: url('images/header_lbbg.gif'); background-position: bottom; background-repeat: repeat-x;"></td></tr>
						</table>
					</td>
					<td valign="top" style="background-image: url('images/header_bg.gif');">
						<img src="images/header.jpg" border="0" alt=""/>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr>
					<td valign="top" style="background-image: url('images/bg_lbg.gif');"><img src="images/bg_l.jpg" border="0" alt="" width="359" height="293"/></td>
					<td width="100%">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
							<tr><td height="14" bgcolor="#FFFFFF"></td></tr>
							<tr>
								<td valign="top" class="bg pageContent" style="padding: 25px 0 20px 40px;background-image: url('images/bg.gif'); background-repeat: no-repeat;">
									<!-- CONTENT -->
									<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
									<div style="width:0px; height:15px;"><span></span></div>
									<xsl:apply-templates select="PAGE-CONTENT"/>
									<!-- END CONTENT -->
								</td>
							</tr>
							<tr><td height="13" bgcolor="#FFFFFF"></td></tr>
						</table>
					</td>
					<td style="background-image: url('images/bg_rbg.gif');">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 107px; height: 100%; background-image: url('images/bg_rt.gif'); background-repeat: no-repeat;">
							<tr><td valign="bottom"><img src="images/bg_rb.jpg" border="0" alt=""/></td></tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="65" style="background-image: url('images/footer_bg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/footer_l.jpg'); background-repeat: no-repeat;">
				<tr>
					<td valign="top" style="background-image: url('images/footer_r.jpg'); background-position: right; background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 345px;">
							<tr>
								<td align="right" class="footer" style="padding: 0 25px 5px 70px;">
									<!-- FOOTER -->
									<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
									<!-- END FOOTER -->
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td class="asubmenu" style="padding-left: 5px; width: 100%; height: 30px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td align="right" style="padding: 0 5px 0 5px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 5px; width: 100%; height: 30px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding: 0 5px 0 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" style="height: 1px; background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
